Fibre Channel (SAN)

Reply
New Contributor
Posts: 2
Registered: ‎07-22-2016
Accepted Solution

FOS 3.2.1c and FOS 7.x compatibility?

Hi everyone,

 

We are currently running two fabrics:

 

One with FOS versions ranging from FOS versions 3.2.1c to 6.2.0b (fabric #1) and another ranging from 5.3.2 to 6.2.0b (fabric #2) .

The goal here is to remove every switch that does not support FOS 7.x in our fabrics.

 

I am adding a new switch with FOS 7.3.1d in both fabrics to replace old ones. I plugged the new switch in the fabric #2 with the FOS 5.3.2 switch - No problem whatsoever.

 

Problem arose when i plugged the new switch in fabric #1 with the old FOS 3.2.1c switch. The ports shows up as E-PORT but was labeled as Segmented (Incompatible).

 

My guess is that i cannot use FOS 7.3.1d while that old 3.2.1c switch stays connected. Am i correct?

 

Regards

 

Jeff

 

 

Valued Contributor
Posts: 521
Registered: ‎03-20-2011

Re: FOS 3.2.1c and FOS 7.x compatibility?

2Gb switches are End Of Everything since long time ago. It might be not enough just disconnecting them from the fabric to allow connection to the new switch. Some fabric parameters might need to be changed, I suspect that older switches (and the rest of the fabric) might have been configured with some legacy PID format or something like that.
Brocade Moderator
Posts: 190
Registered: ‎08-31-2009

Re: FOS 3.2.1c and FOS 7.x compatibility?

Hello,

 

Fabric.ops parameters must be consistent on all the switches.

CLI command to check is: configshow -pattern fabric.ops

 

Check if all are identical or change your settings.

Version is very old and potentials issues will be difficult to troubleshoot.

 

 

 

Any and all information provided by me is not reviewed, approved or endorsed by Brocade and is provided solely as a convenience for Brocade customers. All systems and all networks are different and unique. If you have a service affecting network problem, please open a TAC service request for service through Brocade, or through your OEM equipment provider. If this provided you with a solution to this issue, please mark it with the button at the bottom "Accept as solution"
New Contributor
Posts: 2
Registered: ‎07-22-2016

Re: FOS 3.2.1c and FOS 7.x compatibility?

Fabric.ops was verified and are identical. We asked our Brocade representative and he said that v3 and v7 FOS can't coexist. We will have to retire the v3 switch before we can add the new v7 one. Thanks for the help everyone!

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.